ServerEvents.recipes(e=> {
    e.remove({ output: '#forge:gears',type: 'minecraft:crafting_shaped'})
    //机器框架
    e.remove({ output: 'thermal:machine_frame'})
    e.shapeless('thermal:machine_frame', 
        [ 
            '#industrialforegoing:machine_frame/pity'
        ])
    e.remove({ output: 'thermal:rubber',type: 'minecraft:crafting_shaped'})
    //红石通量线圈
    e.remove({ output: 'thermal:rf_coil'})
    e.recipes.botania.runic_altar('2x thermal:rf_coil', ['minecraft:redstone','minecraft:redstone', '#forge:ingots/gold'], 25000)
    //红石伺服器
    e.remove({ output: 'thermal:redstone_servo'})
    e.recipes.botania.runic_altar('2x thermal:redstone_servo', ['minecraft:redstone','minecraft:redstone', 'enderio:conductive_alloy_ingot'], 25000)
    //能量单元框架
    e.remove({ output: 'thermal:energy_cell_frame'})
    e.shapeless('thermal:energy_cell_frame', 
        [ 
            '#forge:energy_cell_1'
        ])
    //树脂提取
    e.remove({ output: 'thermal:device_tree_extractor'})
    e.recipes.botania.runic_altar('2x thermal:device_tree_extractor', ['thermal:rf_coil','#forge:plates/iron', '#minecraft:planks'], 35000)
    //流体单元
    e.remove({ output: 'thermal:fluid_cell'})
    e.shapeless(Item.of('thermal:fluid_cell', '{BlockEntityTag:{TankInv:[{Amount:0,Capacity:32000,FluidName:"minecraft:empty",Tank:0b}]}}')
    , 
        [ 
            '2x enderio:fluid_tank'
        ])
    //硬化套件
    e.replaceInput({output:'thermal:upgrade_augment_1'},'#forge:gears/gold', '#forge:gears/lumium')
    e.recipes.createMixing(Fluid.of("thermal:syrup",50),[Fluid.of("thermal:sap",250),'#forge:sugar/sugar','#forge:sugar/sugar','#forge:sugar/sugar','#forge:sugar/sugar']).heated()
    e.recipes.createMixing('thermal:rubber',[Fluid.of("thermal:latex",250)]).heated()
   
    //橡胶
    e.custom(
        {
            "type": "thermal:refinery",
            "ingredient": {
              "fluid": "thermal:latex",
              "amount": 1000
            },
            "result": [
              {
                "fluid": "thermal:sap", 
                "amount": 250
              },
              {
                "item": "thermal:rubber", 
                "count": 3, 
                "chance": 1
              }
            ],
            "energy": 4000,
            "experience": 0.2
          }  
        
    )
        
})
  
